### Enumeration

# FwupdPlugin CoswidEntityRole

since: 1.0

#### Declaration

    enum FwupdPlugin.CoswidEntityRole

#### Description

No description available.

Available since: 1.0

#### Members

`FU_COSWID_ENTITY_ROLE_UNKNOWN`
  No description available.
  - Value: `0`
  - Nickname: `None`
  - Available since: 1.0
`FU_COSWID_ENTITY_ROLE_TAG_CREATOR`
  No description available.
  - Value: `1`
  - Nickname: `None`
  - Available since: 1.0
`FU_COSWID_ENTITY_ROLE_SOFTWARE_CREATOR`
  No description available.
  - Value: `2`
  - Nickname: `None`
  - Available since: 1.0
`FU_COSWID_ENTITY_ROLE_AGGREGATOR`
  No description available.
  - Value: `3`
  - Nickname: `None`
  - Available since: 1.0
`FU_COSWID_ENTITY_ROLE_DISTRIBUTOR`
  No description available.
  - Value: `4`
  - Nickname: `None`
  - Available since: 1.0
`FU_COSWID_ENTITY_ROLE_LICENSOR`
  No description available.
  - Value: `5`
  - Nickname: `None`
  - Available since: 1.0
`FU_COSWID_ENTITY_ROLE_MAINTAINER`
  No description available.
  - Value: `6`
  - Nickname: `None`
  - Available since: 1.0